# Interface ComponentMetadataBuilder

@Incubating public interface ComponentMetadataBuilder
A component metadata builder.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`void`
`setStatus(String status)`
Sets the status of this component
`void`
`setStatusScheme(List<String> scheme)`
Sets the status scheme of this component

## Method Details

### setStatus

void setStatus(String status)
Sets the status of this component

Parameters:
  `status` - the component status

### setStatusScheme

void setStatusScheme(List<String> scheme)
Sets the status scheme of this component

Parameters:
  `scheme` - the status scheme